1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Problem trying to switch from Qmail to Postfix

Discussion in 'Plesk 10.x for Linux Issues, Fixes, How-To' started by LaurentR2D2, Oct 13, 2011.

  1. LaurentR2D2

    LaurentR2D2 Plesk Certified Professional Plesk Certified Professional

    31
    68%
    Joined:
    Aug 6, 2009
    Messages:
    129
    Likes Received:
    4
    [SOLVED]Problem trying to switch from Qmail to Postfix

    Hello,

    I'm using Plesk 10.3.1 on Debian Lenny. I'm trying to switch from Qmail to Postfix. I've used this command :

    /opt/psa/admin/sbin/autoinstaller --select-release-current --install-component postfix

    and I get this error :

    The following packages have unmet dependencies:
    plesk-mail-pc-driver: Conflicts: psa-mail-driver
    psa-mail-pc-driver: Conflicts: psa-mail-driver

    plesk-mail-pc-driver doesn't exists, and psa-mail-pc-driver, and psa-mail-driver exist, and are already installed. How can I solve this problem ? Would it work better if I upgrade my server to Sqeeze ?

    Thank you
     
    Last edited: Oct 13, 2011
  2. LaurentR2D2

    LaurentR2D2 Plesk Certified Professional Plesk Certified Professional

    31
    68%
    Joined:
    Aug 6, 2009
    Messages:
    129
    Likes Received:
    4
    Hello,

    I've finally solved my problem by installing psa-mail-pc-driver which has removed all qmail related packages and installed postfix instead.
     
  3. 105547111

    105547111 Silver Pleskian

    32
    30%
    Joined:
    Jul 13, 2006
    Messages:
    643
    Likes Received:
    2
    It's due to the package dependencies. Glad you got it swapped.
     
Loading...